*{
	margin: 0;
	padding: 0;
}

body{
	font-family: 'Open Sans', sans-serif;
}



/*Display Block;
	- Changes the element into a block element.
	- Takes up the full width of the browser/ viewport(vp)
	Example: 
		-p
		h1
		div
		ul/ol/li
		etc/*/

/*Display:  Inline;
	- Changes the element into inline element.
	- It only takes up as much width as needed.
	- Width and height cannot be changed for inline elements
	Example: 
		- span
		- img
		- button
		- label
		- input*/

/*Display:  Inline Block
	- It is a combination of the two elements.
	- Act as an inline elements but still have the property of a block elements.*/

/*Display none:  hides an element*/


#div-1{
        background-color: green;
        display: inline;
        width:  200px;
        height: 200 px;
}


#span-1 {
    background-color: purple;
    display: none;
    width:  200px;
    height: 200 px;
}




#span-2 {
    background-color: red;
    display: block;
}

#div-2 {
    display: none;
    background-color: hotpink;

}

#img {
    display: inline-block;
    width:  250px;
    height: 250px;
}

/* 
CSS Background Property (Color Values)

	-#hexcode value color is specified with: ;
		- #RRGGBB (Red, Green, Blue) 
				Between 00 and FF (0,1,2,3,4,5,6,7,8,9,A,B,C,D,E,F)
		- rgb (red, green, blue) /
				= values=0~255, percentage values 0~100%
				RGBA
				= sets opacity / transparency
		- Color Name Values
			- Set color as per color name


*/

#p-1{
	background-color: #87CEFA; /*hex code*/
} 

#p-2{
	/*background-color: rgb(255, 105, 180);*/
	background-color: rgba(255, 105, 180, 0.5);
	width: 60%;
}
#p-3{
	background-color: yellow;
	width: 40%;
}
.sample{
	display: inline-block;
	width: 30%;
	/*border:  thickness / border type / color*/
	border: 1px solid black;
	text-align: center;
}

/*
Float Property
.img-float


*/

/*#p-float{
	float: right;
}
*/




.img-float{
	width: 250px;
	height: 250px;
	float: inherit;
}

/*For demo*/

/*#div-float{
	background-color: green;
	color: white;
}

#right {
	float: right;
}

#right > p{
	display: inline;
}*/


/*CSS Units
	-percentage(%)
		- Is relative to parent element
		- The height and width will based on the parent container

	-pixel is relative to the viewscreen (based on the screen resolution)
	- screens with higher resolution will contain more pixels

*/

.box{
	background-color: red;
	border: 1px solid black;
	margin: 5px;
	padding: 10px;

}

.fifty-percent{
	width: 50%;
}

.one-hundred-pixels{
	width: 100px;
}


.parent{
	width: 500px;
	border: 2px solid black;
	background-color: whitesmoke;
	font-size: 30px;
}

/*Viewport unit 
	-Two (2) Types
		-Viewport Width (vw)
		Viewport Height (vh)

	-Relative to the browser window size
	-Used if need to occupy the full view of browser


- em
	- Relative to the Parent element
	- eq px size = em * root size

-rem
	- Relative to the root element (HTML Tag)
	- 





*/

.fifty-vw{
	width: 50vw;
}

.twenty-five-vh{
	height: 25vh;
}

.one-rem {
	/*1 rem = 16px*/
	font-size: 1rem;
}

.one-em {
	font-size: 1em;
}

.two-rem {
	/* 32px*/
	font-size: 2rem;
}

.two-em {
	font-size: 2em; 
	/*inside parent container font size is 60 pax*/
}

.two-hundred-percent{
	font-size: 200%;
}



/*CSS Backgroud Propertiesv (Image)




*/

.background{
	min-height: 20rem;
/*	background-color: gray;*/
background-image: url(https://cutewallpaper.org/22/your-name-aesthetic-desktop-wallpapers/2954230375.jpg);
background-repeat: no-repeat;
/*specify the size of the background image*/
background-size: 100%;
/*position of the background is relative to the HTML*/
background-position: center top;
/*sets wheter a background image scrolls with the rest of the page or it is fixed*/
background-attachment: fixed;
}


.bg-title{
	color: white;
	text-align: center;
	font-size: 5em;
	line-height: 35rem;
}

.container-bg{
	background-color: rgba(0, 0, 0, 0.5);
	min-height: 100vh;
}


/*CSS Positioning
	- Position:  Static;
		- This is the default value for elements. Normal flow of the document.
	- Position: Relative;
		- Remains in the normal flow of document, but will be affected by the top, left, bottom and z-index property.
	- Position: Fixed
		- similar with the absolute position, but it is always position relative to the element/window
	-Position:  Sticky;
		- Acts like a relatively positioned element until a scroll point (reached) acts like a fixed elements (sumasama pagbaba) 



*/


.parent-element {
    background-color: skyblue;
    /*for adding values for padding:  y-axis x-axis*/
    padding: 50px 10px;
    position: relative;
    height: 800vh;
}


.child-one {
    background-color: gray;
    padding: 10px;

}

.child-two {
    background-color: yellow;
    padding: 10px;
    /*position: fixed;*/
    position: sticky;
    top: 10px;
}

.child-three {
    background-color: gray;
    padding: 10px;

}

html{
	height: 800vh;
}


/*Z-Index
	- It also belongs to position like top, left, right and bottom.
	- It manipulates the stacked order.
	- The higher the number, stacked number, it will be prioritized, like bring to front.




*/


.container {
  position: relative;
}

.black-box {
  position: relative;
  z-index: 1;
  border: 2px solid black;
  height: 100px;
  margin: 30px;
}

.gray-box {
  position: absolute;
  z-index: 3;
  background: lightgray;
  height: 60px;  
  width: 70%;
  left: 50px;
  top: 50px;
}

.green-box {
  position: absolute;
  z-index: 2;
  background: lightgreen;
  width: 35%;
  left: 270px;
  top: -15px;
  height: 100px;
}